# Uses of Interface
org.gitana.platform.client.stack.Stack

Packages that use Stack
Package
Description
org.gitana.platform.client.platform
org.gitana.platform.client.project
org.gitana.platform.client.stack
org.gitana.platform.client.support

## Uses of Stack in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Stack
Modifier and Type
Method
Description
`Stack`
Platform.`createStack()`
`Stack`
Platform.`createStack(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Stack`
PlatformImpl.`createStack()`
`Stack`
PlatformImpl.`createStack(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Stack`
Platform.`readStack(String stackId)`
`Stack`
PlatformImpl.`readStack(String stackId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Stack
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Stack>`
Platform.`listStacks()`
`org.gitana.platform.support.ResultMap<Stack>`
Platform.`listStacks(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Stack>`
PlatformImpl.`listStacks()`
`org.gitana.platform.support.ResultMap<Stack>`
PlatformImpl.`listStacks(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Stack>`
Platform.`queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Stack>`
Platform.`queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Stack>`
PlatformImpl.`queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Stack>`
PlatformImpl.`queryStacks(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.platform with parameters of type Stack
Modifier and Type
Method
Description
`void`
Platform.`deleteStack(Stack stack)`
`void`
PlatformImpl.`deleteStack(Stack stack)`
`void`
Platform.`updateStack(Stack stack)`
`void`
PlatformImpl.`updateStack(Stack stack)`

## Uses of Stack in org.gitana.platform.client.project

Methods in org.gitana.platform.client.project that return Stack
Modifier and Type
Method
Description
`Stack`
Project.`getStack()`
`Stack`
ProjectImpl.`getStack()`

## Uses of Stack in org.gitana.platform.client.stack

Classes in org.gitana.platform.client.stack that implement Stack
Modifier and Type
Class
Description
`class`
`StackImpl`

## Uses of Stack in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Stack
Modifier and Type
Method
Description
`Stack`
ObjectFactory.`stack(Platform platform, Response response)`
`Stack`
ObjectFactoryImpl.`stack(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Stack
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Stack>`
ObjectFactory.`stacks(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Stack>`
ObjectFactoryImpl.`stacks(Platform platform, Response response)`